NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::Drafting::MoveToDrawingViewBuilder Class Reference

This builder allows the user to extract contents from a sheet and transfer them to a new Drawing view, also provide some other options for view creation
To create a new instance of this class, use NXOpen::Drafting::DraftingApplicationManager::CreateMoveToDrawingViewBuilder
Default values. More...

Inheritance diagram for NXOpen::Drafting::MoveToDrawingViewBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

NXOpen::SelectTaggedObjectListSelectObjects ()
 Returns the select objects from the current sheet
Created in NX8.5.0. More...
 
NXOpen::PointSelectPoint ()
 Returns the select point to calculate the new created drawing view's reference point
Created in NX8.5.0. More...
 
void SetSelectPoint (NXOpen::Point *selectPoint)
 Sets the select point to calculate the new created drawing view's reference point
Created in NX8.5.0. More...
 
void SetXCoordinate (double xCoordinate)
 Sets the x coordinate to calculate the new created drawing view's reference point
Created in NX8.5.0. More...
 
void SetYCoordinate (double yCoordinate)
 Sets the y coordinate to calculate the new created drawing view's reference point
Created in NX8.5.0. More...
 
NXOpen::Drawings::View2dOrientBuilderTwoDOrientation ()
 Returns the view orientation
Created in NX8.5.0. More...
 
NXOpen::Drawings::ViewScaleBuilderViewScale ()
 Returns the view scale
Created in NX8.5.0. More...
 
NXOpen::Drawings::ViewStyleBuilderViewStyle ()
 Returns the view style
Created in NX8.5.0. More...
 
double XCoordinate ()
 Returns the x coordinate to calculate the new created drawing view's reference point
Created in NX8.5.0. More...
 
double YCoordinate ()
 Returns the y coordinate to calculate the new created drawing view's reference point
Created in NX8.5.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

This builder allows the user to extract contents from a sheet and transfer them to a new Drawing view, also provide some other options for view creation
To create a new instance of this class, use NXOpen::Drafting::DraftingApplicationManager::CreateMoveToDrawingViewBuilder
Default values.

Property Value

ViewScale.Denominator

1.0

ViewScale.Numerator

1.0

ViewScale.ScaleType

Ratio

ViewStyle.ViewStyleGeneral.AngleSetting.Angle.Value

0

ViewStyle.ViewStyleGeneral.AngleSetting.Associative

0

ViewStyle.ViewStyleGeneral.AngleSetting.EvaluationPlane

DrawingSheet

ViewStyle.ViewStyleOrientation.HingeLine.ReverseDirection

false

ViewStyle.ViewStyleOrientation.HingeLine.VectorOption

Inferred

ViewStyle.ViewStyleOrientation.Ovt.AssociativeOrientation

0

XCoordinate

0

YCoordinate

0


Created in NX8.5.0.

Member Function Documentation

NXOpen::SelectTaggedObjectList* NXOpen::Drafting::MoveToDrawingViewBuilder::SelectObjects ( )

Returns the select objects from the current sheet
Created in NX8.5.0.



License requirements : None

NXOpen::Point* NXOpen::Drafting::MoveToDrawingViewBuilder::SelectPoint ( )

Returns the select point to calculate the new created drawing view's reference point
Created in NX8.5.0.



License requirements : None

void NXOpen::Drafting::MoveToDrawingViewBuilder::SetSelectPoint ( NXOpen::Point selectPoint)

Sets the select point to calculate the new created drawing view's reference point
Created in NX8.5.0.



License requirements : nx_layout ("NX Layout")

Parameters
selectPointselectpoint
void NXOpen::Drafting::MoveToDrawingViewBuilder::SetXCoordinate ( double  xCoordinate)

Sets the x coordinate to calculate the new created drawing view's reference point
Created in NX8.5.0.



License requirements : nx_layout ("NX Layout")

Parameters
xCoordinatexcoordinate
void NXOpen::Drafting::MoveToDrawingViewBuilder::SetYCoordinate ( double  yCoordinate)

Sets the y coordinate to calculate the new created drawing view's reference point
Created in NX8.5.0.



License requirements : nx_layout ("NX Layout")

Parameters
yCoordinateycoordinate
NXOpen::Drawings::View2dOrientBuilder* NXOpen::Drafting::MoveToDrawingViewBuilder::TwoDOrientation ( )

Returns the view orientation
Created in NX8.5.0.



License requirements : None

NXOpen::Drawings::ViewScaleBuilder* NXOpen::Drafting::MoveToDrawingViewBuilder::ViewScale ( )

Returns the view scale
Created in NX8.5.0.



License requirements : None

NXOpen::Drawings::ViewStyleBuilder* NXOpen::Drafting::MoveToDrawingViewBuilder::ViewStyle ( )

Returns the view style
Created in NX8.5.0.



License requirements : None

double NXOpen::Drafting::MoveToDrawingViewBuilder::XCoordinate ( )

Returns the x coordinate to calculate the new created drawing view's reference point
Created in NX8.5.0.



License requirements : None

double NXOpen::Drafting::MoveToDrawingViewBuilder::YCoordinate ( )

Returns the y coordinate to calculate the new created drawing view's reference point
Created in NX8.5.0.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.